Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.enc
Class ToBeEncryptedOctetStream

    java.lang.Object
      javax.xml.crypto.enc.ToBeEncryptedOctetStream

All Implemented Interfaces:
  ToBeEncrypted

    public class ToBeEncryptedOctetStream

extends java.lang.Object
implements ToBeEncrypted

A representation of `ToBeEncrypted` containing the octet sequence

Constructor Summary
`ToBeEncryptedOctetStream(java.io.InputStream inputStream)` Creates a new ToBeEncryptedOctetStream
`ToBeEncryptedOctetStream(java.io.InputStream inputStream, java.lang.String type, java.lang.String mimeType, java.lang.String encoding)` Creates a new ToBeEncryptedOctetStream

Method Summary
`java.lang.String` | `getEncoding()` Returns a URI identifying the transfer encoding of the data that has been encrypted.
`java.io.InputStream` | `getInputStream()` Returns the input stream of this ToBeEncryptedOctetStream
`java.lang.String` | `getMimeType()` Returns the mime type of the data that has been encrypted.
`java.lang.String` | `getType()` Returns a URI identifying the type of the plaintext form of the encrypted content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToBeEncryptedOctetStream

    public ToBeEncryptedOctetStream(java.io.InputStream inputStream)

  Creates a new ToBeEncryptedOctetStream

  Parameters:
    `inputStream` - the `InputStream` containing the octet sequence to be encrypted
  Throws:
    `java.lang.NullPointerException` - if `inputStream` is null

### ToBeEncryptedOctetStream

    public ToBeEncryptedOctetStream(java.io.InputStream inputStream,
                                    java.lang.String type,
                                    java.lang.String mimeType,
                                    java.lang.String encoding)

  Creates a new ToBeEncryptedOctetStream

  Parameters:
    `type` - the type (may be `null`)
    `mimeType` - the mime type (may be `null`)
    `encoding` - the encoding (may be `null`)
  Throws:
    `java.lang.NullPointerException` - if `inputStream` is null

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()

  Returns the input stream of this ToBeEncryptedOctetStream

  Returns:
    the input stream of this ToBeEncryptedOctetStream

### getType

    public java.lang.String getType()

  Returns a URI identifying the type of the plaintext form of the encrypted content.

  Specified by:
    `getType` in interface `ToBeEncrypted`
  Returns:
    the type, or `null` if not specified

### getMimeType

    public java.lang.String getMimeType()

  Returns the mime type of the data that has been encrypted.

  Specified by:
    `getMimeType` in interface `ToBeEncrypted`
  Returns:
    the mime type, or `null` if not specified

### getEncoding

    public java.lang.String getEncoding()

  Returns a URI identifying the transfer encoding of the data that has been encrypted.

  Specified by:
    `getEncoding` in interface `ToBeEncrypted`
  Returns:
    the encoding, or `null` if not specified

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org